Loading...
Searching...
No Matches
path.cc File Reference
Common » Utilities » Filesystem Paths

Utilities for handling filesystem paths. More...

`#include <algorithm>`
`#include <iterator>`
`#include <string>`
`#include <dune/common/exceptions.hh>`
`#include <dune/common/stringutility.hh>`
`#include <dune/common/path.hh>`

## Namespaces

namespace | Dune
| Dune namespace

## Functions

std::string | Dune::concatPaths (const std::string &base, const std::string &p)
| concatenate two paths
std::string | Dune::processPath (const std::string &p)
| sanitize a path for further processing
bool | Dune::pathIndicatesDirectory (const std::string &p)
| check whether the given path indicates that it is a directory
std::string | Dune::prettyPath (const std::string &p, bool isDirectory)
| pretty print path
std::string | Dune::prettyPath (const std::string &p)
| pretty print path
std::string | Dune::relativePath (const std::string &newbase, const std::string &p)
| compute a relative path between two paths

## Detailed Description

Utilities for handling filesystem paths.

Author
  Jö Fahlke jorri.nosp@m.t@jo.nosp@m.rrit..nosp@m.de